org.apache.cassandra.io.compress

## Enum BufferType

- java.lang.Object
- - java.lang.Enum<BufferType>
  - - org.apache.cassandra.io.compress.BufferType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BufferType>

    public enum BufferType
    extends java.lang.Enum<BufferType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`OFF_HEAP`
`ON_HEAP`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.nio.ByteBuffer` `allocate(int size)`
`static BufferType` `typeOf(java.nio.ByteBuffer buffer)`
`static BufferType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BufferType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ON_HEAP

    public static final BufferType ON_HEAP

#### OFF_HEAP

    public static final BufferType OFF_HEAP

### Method Detail

#### values

    public static BufferType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BufferType c : BufferType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BufferType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### allocate

    public abstract java.nio.ByteBuffer allocate(int size)

#### typeOf

    public static BufferType typeOf(java.nio.ByteBuffer buffer)